igeo

## Class ISphere

- java.lang.Object
- - igeo.IObject
  - - igeo.IGeometry
    - - igeo.ISurface
      - - igeo.ISphere

- All Implemented Interfaces:
    IParameter, ISurfaceI, ISurfaceOp, ITransformable, IVal

      public class ISphere
      extends ISurface

  Sphere surface class
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVecI` | `center`
    `IDoubleI` | `radius`

    - ### Fields inherited from class igeo.ISurface

      `surface`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISphere(double x, double y, double z, double radius)`
    `ISphere(IServerI s, double x, double y, double z, double radius)`
    `ISphere(IServerI s, IVecI center, double radius)`
    `ISphere(IServerI s, IVecI center, IDoubleI radius)`
    `ISphere(IVecI center, double radius)`
    `ISphere(IVecI center, IDoubleI radius)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISphere` | `clr(java.awt.Color c)`
    `ISphere` | `clr(java.awt.Color c, int alpha)`
    `ISphere` | `clr(double dgray)`
    `ISphere` | `clr(double dgray, double dalpha)`
    `ISphere` | `clr(double dr, double dg, double db)`
    `ISphere` | `clr(double dr, double dg, double db, double da)`
    `ISphere` | `clr(float fgray)`
    `ISphere` | `clr(float fgray, float falpha)`
    `ISphere` | `clr(float fr, float fg, float fb)`
    `ISphere` | `clr(float fr, float fg, float fb, float fa)`
    `ISphere` | `clr(IColor c)` to set an object color
    `ISphere` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `ISphere` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `ISphere` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `ISphere` | `clr(int gray)`
    `ISphere` | `clr(int gray, int alpha)`
    `ISphere` | `clr(int r, int g, int b)`
    `ISphere` | `clr(int r, int g, int b, int a)`
    `ISphere` | `clr(IObject o)` to set the same color with the object
    `ISphere` | `hide()`
    `ISphere` | `hsb(double h, double s, double b)`
    `ISphere` | `hsb(double h, double s, double b, double a)`
    `ISphere` | `hsb(float h, float s, float b)`
    `ISphere` | `hsb(float h, float s, float b, float a)`
    `void` | `initSphere(IServerI s)`
    `ISphere` | `layer(ILayer l)` Set layer by ILayer object
    `ISphere` | `name(java.lang.String nm)` methods of IObject
    `ISphere` | `setColor(java.awt.Color c)`
    `ISphere` | `setColor(java.awt.Color c, int alpha)`
    `ISphere` | `setColor(double dgray)`
    `ISphere` | `setColor(double dgray, double dalpha)`
    `ISphere` | `setColor(double dr, double dg, double db)`
    `ISphere` | `setColor(double dr, double dg, double db, double da)`
    `ISphere` | `setColor(float fgray)`
    `ISphere` | `setColor(float fgray, float falpha)`
    `ISphere` | `setColor(float fr, float fg, float fb)`
    `ISphere` | `setColor(float fr, float fg, float fb, float fa)`
    `ISphere` | `setColor(int gray)`
    `ISphere` | `setColor(int gray, int alpha)`
    `ISphere` | `setColor(int r, int g, int b)`
    `ISphere` | `setColor(int r, int g, int b, int a)`
    `ISphere` | `setHSBColor(double h, double s, double b)`
    `ISphere` | `setHSBColor(double h, double s, double b, double a)`
    `ISphere` | `setHSBColor(float h, float s, float b)`
    `ISphere` | `setHSBColor(float h, float s, float b, float a)`
    `ISphere` | `show()`
    `static double[]` | `sphereKnots()`
    `ISphere` | `weight(double w)`
    `ISphere` | `weight(float w)`

    - ### Methods inherited from class igeo.ISurface

      `add, add, add, add, add, add, add, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addInnerTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addOuterTrimLoop, addUCP, addVCP, attr, center, clearInnerTrim, clearOuterTrim, clearTrim, closePt, closePt, clr, clr, corner, corner, cornerCP, cornerCP, cp, cp, cp, cp, cp, cp, cps, createGraphic, dist, dist, div, div, dup, ep, ep, flip, flipN, flipU, flipUV, flipV, get, hasDefaultTrim, hasDefaultTrim, hasDefaultTrim, hasInnerTrim, hasInnerTrim, hasInnerTrim, hasOuterTrim, hasOuterTrim, hasOuterTrim, hasTrim, hasTrim, hasTrim, initSurface, innerTrim, innerTrim, innerTrimLoop, innerTrimLoop, innerTrimLoopNum, innerTrimLoopNum, innerTrimLoopNum, innerTrimNum, innerTrimNum, isFlat, isFlat, isFlat, isInsideTrim, isInsideTrim, isInsideTrim, isRational, isRational, isRational, isUClosed, isUClosed, isUClosed, isValid, isVClosed, isVClosed, isVClosed, layer, mid, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, normal, normal, normal, nrml, nrml, nrml, outerTrim, outerTrim, outerTrimLoop, outerTrimLoop, outerTrimLoopNum, outerTrimLoopNum, outerTrimLoopNum, outerTrimNum, outerTrimNum, pt, pt, pt, pt, pt, pt, ref, ref, revN, revU, revUV, revV, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, sub, sub, sub, swapUV, transform, transform, transform, transform, translate, translate, translate, u, u, ucpNum, ucpNum, ucpNum, udeg, udeg, udeg, uend, uend, uend, uepNum, uepNum, uepNum, uknot, uknot, uknotNum, uknotNum, uknotNum, uknots, uknots, uknots, unum, unum, unum, ustart, ustart, ustart, utan, utan, utan, uv, uv, v, v, vcpNum, vcpNum, vcpNum, vdeg, vdeg, vdeg, vend, vend, vend, vepNum, vepNum, vepNum, vknot, vknot, vknotNum, vknotNum, vknotNum, vknots, vknots, vknots, vnum, vnum, vnum, vstart, vstart, vstart, vtan, vtan, vtan`

    - ### Methods inherited from class igeo.IObject

      `addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### center

          public IVecI center

    - #### radius

          public IDoubleI radius

  - ### Constructor Detail

    - #### ISphere

          public ISphere(double x,
                         double y,
                         double z,
                         double radius)

    - #### ISphere

          public ISphere(IServerI s,
                         double x,
                         double y,
                         double z,
                         double radius)

    - #### ISphere

          public ISphere(IVecI center,
                         double radius)

    - #### ISphere

          public ISphere(IServerI s,
                         IVecI center,
                         double radius)

    - #### ISphere

          public ISphere(IVecI center,
                         IDoubleI radius)

    - #### ISphere

          public ISphere(IServerI s,
                         IVecI center,
                         IDoubleI radius)

  - ### Method Detail

    - #### sphereKnots

          public static double[] sphereKnots()

    - #### initSphere

          public void initSphere(IServerI s)

    - #### name

          public ISphere name(java.lang.String nm)

      Description copied from class: `ISurface`
      methods of IObject
      Overrides:
        `name` in class `ISurface`

    - #### layer

          public ISphere layer(ILayer l)

      Description copied from class: `IGeometry`
      Set layer by ILayer object
      Overrides:
        `layer` in class `ISurface`

    - #### hide

          public ISphere hide()

      Overrides:
        `hide` in class `ISurface`

    - #### show

          public ISphere show()

      Overrides:
        `show` in class `ISurface`

    - #### clr

          public ISphere clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(IColor c,
                             int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(IColor c,
                             float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(IColor c,
                             double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(java.awt.Color c)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(java.awt.Color c,
                             int alpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(int gray)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(float fgray)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(double dgray)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(int gray,
                             int alpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(float fgray,
                             float falpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(double dgray,
                             double dalpha)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(int r,
                             int g,
                             int b)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(float fr,
                             float fg,
                             float fb)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(double dr,
                             double dg,
                             double db)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(int r,
                             int g,
                             int b,
                             int a)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(float fr,
                             float fg,
                             float fb,
                             float fa)

      Overrides:
        `clr` in class `ISurface`

    - #### clr

          public ISphere clr(double dr,
                             double dg,
                             double db,
                             double da)

      Overrides:
        `clr` in class `ISurface`

    - #### hsb

          public ISphere hsb(float h,
                             float s,
                             float b,
                             float a)

      Overrides:
        `hsb` in class `ISurface`

    - #### hsb

          public ISphere hsb(double h,
                             double s,
                             double b,
                             double a)

      Overrides:
        `hsb` in class `ISurface`

    - #### hsb

          public ISphere hsb(float h,
                             float s,
                             float b)

      Overrides:
        `hsb` in class `ISurface`

    - #### hsb

          public ISphere hsb(double h,
                             double s,
                             double b)

      Overrides:
        `hsb` in class `ISurface`

    - #### setColor

          public ISphere setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(java.awt.Color c,
                                  int alpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(int gray)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(float fgray)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(double dgray)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(int gray,
                                  int alpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(float fgray,
                                  float falpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(double dgray,
                                  double dalpha)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(int r,
                                  int g,
                                  int b)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(float fr,
                                  float fg,
                                  float fb)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(double dr,
                                  double dg,
                                  double db)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(int r,
                                  int g,
                                  int b,
                                  int a)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(float fr,
                                  float fg,
                                  float fb,
                                  float fa)

      Overrides:
        `setColor` in class `ISurface`

    - #### setColor

          public ISphere setColor(double dr,
                                  double dg,
                                  double db,
                                  double da)

      Overrides:
        `setColor` in class `ISurface`

    - #### setHSBColor

          public ISphere setHSBColor(float h,
                                     float s,
                                     float b,
                                     float a)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### setHSBColor

          public ISphere setHSBColor(double h,
                                     double s,
                                     double b,
                                     double a)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### setHSBColor

          public ISphere setHSBColor(float h,
                                     float s,
                                     float b)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### setHSBColor

          public ISphere setHSBColor(double h,
                                     double s,
                                     double b)

      Overrides:
        `setHSBColor` in class `ISurface`

    - #### weight

          public ISphere weight(double w)

      Overrides:
        `weight` in class `ISurface`

    - #### weight

          public ISphere weight(float w)

      Overrides:
        `weight` in class `ISurface`